<?php

namespace Litecms\Exchangeorder\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Exchangeorder workflow validator
        'Litecms\Exchangeorder\Models\Exchangeorder' => \Litecms\Exchangeorder\Workflow\ExchangeorderValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Exchangeorder workflow actions
        'Litecms\Exchangeorder\Models\Exchangeorder' => \Litecms\Exchangeorder\Workflow\ExchangeorderAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Exchangeorder workflow notifiers
        'Litecms\Exchangeorder\Models\Exchangeorder' => \Litecms\Exchangeorder\Workflow\ExchangeorderNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
